[B2G] [RIL] [User Story] Change webAPI from IDL to webIDL

RESOLVED FIXED in 2.1 S9 (21Nov)

Status

defect
RESOLVED FIXED
5 years ago
4 years ago

People

(Reporter: skamat, Assigned: kchang)

Tracking

unspecified
2.1 S9 (21Nov)
ARM
Gonk (Firefox OS)
Dependency tree / graph

Firefox Tracking Flags

(feature-b2g:2.2+, tracking-b2g:backlog)

Details

(Whiteboard: [ucid:, 2.2, FT:RIL])

Reporter

Description

5 years ago
Internal Developement facing User Story (Gecko changes, no UX changes expected)
----------------------------------------

Change webAPI from IDL to webIDL  for following: 

WebIccManager,
MozVoicemailStatus,
CellBroadcastMessage,
mozMobileConnection/MozMobileConnectionInfo/MozMobileNetworkInf/MozMobileCellInfo, 
MozIccInfo.


Acceptance Criteria:

All APIs validated successfully after the changes.
Reporter

Updated

5 years ago
Summary: [B2G] [RIL] Change webAPI from IDL to webIDL → [B2G] [RIL] [User Story] Change webAPI from IDL to webIDL
Assignee

Comment 1

5 years ago
Put it in backlog.
blocking-b2g: --- → backlog
Whiteboard: [ucid:, FT:RIL]
Add MobileMessageManager into dependency.
Depends on: 1012707

Updated

5 years ago
Depends on: 898445
No longer depends on: 843452
Reporter

Comment 3

5 years ago
Per earlier discussions, I am moving it to 2.1 feature target.
feature-b2g: --- → 2.1
Reporter

Comment 4

5 years ago
Moved to 2.2 with further discussions on 2.1 scope.
feature-b2g: 2.1 → 2.2
We're in the process of removing the underlying functionality that the RIL code depends on for being reachable from JS, so this must happen. Sandip, can you elaborate on why this was pushed out?
Reporter

Comment 6

5 years ago
(In reply to Johnny Stenback (:jst, jst@mozilla.com) from comment #5)
> We're in the process of removing the underlying functionality that the RIL
> code depends on for being reachable from JS, so this must happen. Sandip,
> can you elaborate on why this was pushed out?

Hi Johnny, This was merely based on load balancing for RIL team (Ken Chang) as several Tako items came in for RIL for 2.1. If there are dependencies that are already in motion in your team, we should be able to adjust what can be done for 2.1.
Blocks: 888591
No longer depends on: 888591
Depends on: 994461, 906398
Use feature-b2g:2.2? rather than just 2.2.
feature-b2g: 2.2 → 2.2?
feature-b2g: 2.2? → 2.2+
resolved fixed it as all dependent bugs are resolved.
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
Whiteboard: [ucid:, FT:RIL] → [ucid:, 2.2, FT:RIL]
Target Milestone: --- → 2.1 S9 (21Nov)
blocking-b2g: backlog → ---
You need to log in before you can comment on or make changes to this bug.